{
  "extends": "@goodgo/tsconfig/nextjs.json",
  "compilerOptions": {
    "baseUrl": ".",
    "paths": {
      "@/*": [
        "./src/*"
      ],
      "@/features/*": [
        "./src/features/*"
      ],
      "@/shared/*": [
        "./src/features/shared/*"
      ],
      "@/ui": [
        "./src/features/shared/components/ui"
      ],
      "@/lib/*": [
        "./src/lib/*"
      ]
    },
    "isolatedModules": true,
    "noUnusedLocals": false,
    "noUnusedParameters": false
  },
  "include": [
    "next-env.d.ts",
    "**/*.ts",
    "**/*.tsx",
    ".next/types/**/*.ts"
  ],
  "exclude": [
    "node_modules",
    "**/*.test.ts",
    "**/*.test.tsx",
    "**/*.spec.ts",
    "**/*.spec.tsx",
    "**/__tests__/**",
    "**/e2e/**",
    "**/test/**",
    "playwright.config.ts",
    "vitest.config.ts",
    ".storybook/**",
    "**/*.stories.ts",
    "**/*.stories.tsx"
  ]
}
